TEXT2PS(1)

NAME
text2ps - convert text files to PostScript

SYNOPSIS
text2ps [ options ] [ files ]

DESCRIPTION
Text2ps reads the input files (standard input if none are specified) and produces PostScript code which, when fed to a PostScript printer, will print the files. With text2ps it is possible to select any font, point size and number of columns. Options and files can be intermixed on the command line. Options are effective for all following files until they are overridden.

Options

Here follows a list of options that text2ps recognizes. Most numeric arguments are significant to one decimal place. Options are evaluated from left to right. Later options override earlier ones.

-# n
    Print n copies of each page. (Default 1.)

-c n
    Print in n columns. (Default 1.)

-f font
    Print using font font. (Default Courier.)

-p n
    Print with point size n. (Default 9.)

-v n
    Use a vertical spacing of n points. If the vertical spacing is set to 0, the spacing will be 1.2 times the point size. (Default 0.)

-l n
    Print n lines per column. When the line count is 0, print as many lines as will fit. (Default 0.)

-r [p|l]
    Set the orientation to either portrait mode (p) or landscape mode (l). (Default p.)

-b [+|-]
    Set page break mode. An argument + will force new files to be always printed on a new page (this is the default). After - new files will be put on the same page if there are still empty columns and the number of columns, the orientation or the number of copies didn't change. New files always start new columns. (Default -.)

-mt n
    The top margin is n points. (Default 63.)

-mb n
    The bottom margin is n points. (Default 63.)

-ml n
    The left margin is n points. (Default 59.)

-mr n
    The right margin is n points. (Default 59.)

-mg n
    The inter-column gap is n points. (Default 25.)

-t [+|-]
    If the argument is + the name of the file being printed will be printed on each page. If the argument is - the file name will not be printed. -t + implies -b +.

-T text
    Print text as title on each page. This implies -t - and -b +. This option can be switched off by specifying -t - or -t +. (Default no title.)

-F font
    Set the title font to font. (Default Helvetica.)

-P n
    Set the title point size to n. (Default 12.)

-B n
    Draw borders around each page. The number n specifies how to draw borders. N can have any of the following values or-ed in:

    1   Draw a line along the left of the page.

    2   Draw a line along the bottom of the page.

    4   Draw a line along the right of the page.

    8   Draw a line along the top of the page.

    16  Draw a line between columns. This line does not connect to the lines along the top or bottom.

    32  Draw a connecting line between the line between columns and the line along the top.

    64  Draw a connecting line between the line between columns and the line along the bottom.

    When n is 0, no border lines are drawn. (Default no bordering lines.)

-w n
    Tab stops are set every n spaces. Set the width of the TAB character. (Default 8.)

-1  Sets up options to print in one column in portrait mode with the Courier font, so that you get 66 lines on a page. Equivalent to specifying the options -c 1 -f Courier -p 9 -v 0 -r p -l 0 -mt 63 -mb 63 -ml 59 -mr 59.
    This is the default.

-2  Sets up options to print in two columns in landscape mode with the Courier font, so that you get two 66-line columns on a page. Equivalent to specifying the options -c 2 -f Courier -p 6 -v 0 -r l -l 0 -mt 63 -mb 63 -ml 59 -mr 59 -mg 25. Together with the -1 option, this is probably the most useful option.

The name - means standard input.

BUGS
Too many options.

There is no way to specify where the title will be placed.

If the font being used is not a constant width font and there are other characters than just tabs and spaces in front of a tab, the next character may not align properly.